# serial_transport_tcp_posix.c File Reference

Mercury API - TCP serial transport implementation for POSIX. More...

`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <netinet/tcp.h>`
`#include <arpa/inet.h>`
`#include <netdb.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <sys/ioctl.h>`
`#include <stdlib.h>`
`#include "tm_reader.h"`

## Detailed Description

Mercury API - TCP serial transport implementation for POSIX.

Author:
  Lingaraj

Date:
  04/16/2014